Send a sticker
curl --request POST \
--url https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sticker_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker"
payload = { "sticker_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sticker_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sticker_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker"
payload := strings.NewReader("{\n \"sticker_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sticker_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sticker_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"user_message": {
"content": "<string>",
"error_code": 123,
"error_reason": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"no_reply": true,
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "new",
"timestamp": "2023-11-07T05:31:56Z",
"client_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_sid": "<string>",
"receiver": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": "<string>",
"code": "<string>"
}messages
Send a sticker
Sends a sticker from the business’s sticker library into the conversation as a WhatsApp sticker, without a caption. The contact must have written within the last 24 hours. A sticker WhatsApp cannot send, or a closed window, returns 422 with code STICKER_SEND_FAILED, a reason (opted_out, window_closed, contacts_limit, media_rejected or whatsapp_rejected) and WhatsApp’s meta_code when WhatsApp refused it.
POST
/
api
/
v1
/
chats
/
{chat_id}
/
messages
/
sticker
Send a sticker
curl --request POST \
--url https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sticker_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker"
payload = { "sticker_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sticker_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sticker_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker"
payload := strings.NewReader("{\n \"sticker_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sticker_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.izap.ai/api/v1/chats/{chat_id}/messages/sticker")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sticker_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"user_message": {
"content": "<string>",
"error_code": 123,
"error_reason": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"no_reply": true,
"sender_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "new",
"timestamp": "2023-11-07T05:31:56Z",
"client_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_sid": "<string>",
"receiver": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": "<string>",
"code": "<string>"
}Authorizations
Body
application/json